# （1）导入TensorFlow
import ______ as tf

# （2）载入Fashion-MNIST 数据集
fashion_mnist = tf.keras.datasets.fashion_mnist
(X_train, y_train), (X_test, y_test) = fashion_mnist.______()

# （3）利用reshape函数转换数字图像
X_train_reshape = X_train.______(X_train.shape[0], 28 * 28)
X_test_reshape = X_test.______(X_test.shape[0], 28 * 28)

# （4）归一化数字图像
X_train_norm, X_test_norm = X_train_reshape / 255.0, X_test_reshape / 255.0

# （5）构建Sequential模型
model = ______  # 实例化一个Sequential模型
model.add(tf.keras.layers.Dense(______, input_dim=28 * 28, activation='relu'))  # 答案不固定，满足题目要求即可
model.______(tf.keras.layers.Dense(10, activation='softmax'))  # 输出层

# （6）模型编译
model.______(optimizer='adam',
             loss='sparse_categorical_crossentropy',
             metrics=['accuracy'])

# （7）模型训练
model.______(______, y_train, epochs=10)

# （8）模型评估
model.______(X_test_norm, ______, verbose=1)
